%define nssdb %{_sysconfdir}/pki/nssdb
%define cert_file %{nssdb}/air.sfbay.redhat.com.crt 

Name:           nss-ca-cert-air.sfbay.redhat.com
Version:        0.1
Release:        1%{?dist}
Summary:        CA certificate for air.sfbay.redhat.com TPS system
Group:          Identity/System
License:        Internal to Red Hat
Source:         air.sfbay.redhat.com.crt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires(post): nss-tools
Requires(preun): nss-tools

%description
CA certificate for NSS database, to authorize security tokens
enrolled with the air.sfbay.redhat.com TPS system.

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{nssdb}
install -m 644 %{SOURCE0} $RPM_BUILD_ROOT%{cert_file}

%post 
certutil -A -n "CA $(basename %{cert_file} .crt)" -t "C,C," -d %{nssdb} -a -i %{cert_file}
chmod a+r %{nssdb}/cert8.db

%preun
if [ $1 == "1" ]; then
  certutil -D -n "CA $(basename %{cert_file} .crt)" -d %{nssdb}
  chmod a+r %{nssdb}/cert8.db
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%config %{cert_file}

%changelog
* Thu Aug 24 2006 Ray Strode <rstrode@redhat.com> - 0.1-1.fc6
- initial attempt
